﻿/*--------------header-style1-----------------*/
.header-style1{
    position: fixed;
    z-index: 999;
    display: block;
    width: 100%;
    top: 0;
    background-color: #1b1b1b;
    border-bottom: 1px solid #8a6c3c;
}
#index .header-style1{
    border-bottom: 0;
    background-color: transparent;
}
#index .header-style1.header2{
    background-color: #1b1b1b;
}
.header-style1 .header-box{
    width: 1800px;
    max-width: 100%;
    display: block;
    font-size: 0;
    margin: 0 auto;
    padding: 10px 0;
}
.header-style1 .header-logo{
    width: calc(100% - 570px);
    display: inline-block;
    position: relative;
}
#index .header-style1 .header-logo a{
    opacity: 0;
    pointer-events: none;
    transition: all .3s linear;
}
.header-style1 .header-menu{
    width: 570px;
    max-width: 100%;
    display: inline-block;
    text-align: right;
    font-size: 0;
}
.header-style1 .header-menu> li{
    display: inline-block;
    vertical-align: middle;
    position: relative;
    color: #FFF;
    margin-left: 40px;
   
}
.header-style1 .header-menu> li a{
    font-size: 14px;
    letter-spacing: 2px;
}
.header-link-box{
    display: block;
    position: absolute;
    right: 0;
    top: 0;
}

.rwd-menu{
    display: none;
}
.header-style1.header2{
    background-color:#1b1b1b;
   
}
#index .header-style1.header2{
    border-bottom: 1px solid #8a6c3c;
}
#index .header-style1.header2 .header-logo a{
    opacity: 1;
    pointer-events: auto;
}


/* -------------------------------------------------------------- */
.header2.header-style2 .rwd-menu{
    background-color: #01344f;
}
.header2.header-style2 .rwd-menu span{
    background-color: #FFF;
}
.header-menu-list-box li{
    margin-bottom: 30px
}

.header-menu-title{
    font-size: 18px;
    position: relative;
}
div.header-menu-title{
    cursor: context-menu;
}


.rwd-menu-list-back{
    display: none;
}
.mask{
    width: 100%;
    height: 100vh;
    display: none;
    position: fixed;
    top: 0;
    left: 0;
    background-color: rgba(0, 0, 0, 0.7);
}

.mask.active{
    display: block;
}

/*----------------------------------*/
.rwd-menu{
    width: 59px;
    position: absolute;
    right: 3%;
    top: 45px;
    z-index: 99999;
    display: none;
}
.rwd-menu span{
    width: 40px;
    display: block;
    margin: 0 auto;
    height: 4px;
    background-color: #000;
    position: relative;
}
#index .rwd-menu span{
    background-color: #FFF;
}
.rwd-menu span:nth-child(even){
    margin: 8px auto;
    transition: all .4s linear;
}
.rwd-menu span:nth-child(1){
    transform: scale(1);
    transform-origin: left;
    transition: all .4s linear;
}
.rwd-menu span:nth-child(3){
    transform: scale(1);
    transform-origin: right;
    transition: all .4s linear;
}
.rwd-menu span:nth-child(4){
    top: -23px;
    transform:  scale(0) rotate(-45deg);
}

.rwd-menu.active span:nth-child(odd){
    transform: scale(0);
    transition: all .4s linear;
    transition-delay: 0;
}

.rwd-menu.active span:nth-child(2){
    transform: rotate(45deg);
    transition: all .4s linear;
}
.rwd-menu.active span:nth-child(4){
    transform: scaleX(1) rotate(-45deg);
    transition-delay: 0.3s;
}
.rwd-menu.active span{
    background-color: #FFF;
}



@media only screen and (max-width: 1200px){
    .header-style1 .header-box{
        width: 95%;
        margin: 0 auto;
    
    }
    .header-style2 .header-menu ul{
        width: 100%;
    }
}

@media only screen and (max-width: 1000px){
    .header-style1 .rwd-menu{
        display: block;
    }
    .header-style1 .rwd-menu span{
        background-color: #FFF;
    }
    .header-style1 .rwd-menu{
        top: 18px;
    }
    .header-style1 .header-menu{
        width: 250px;
        float: none;
        position: absolute;
        left: -250px;
        height: 100vh;
        transition: all .3s linear;
        background-color: #1b1b1b;
        z-index: 9;
        text-align: center;
        padding-top: 20px;
        box-sizing: border-box;
    }
    .header-style1  .header-menu li{
        width: 100%;
        display: block;
    }

    .header-style1 .header-menu.open{
        left: 0;
    }
    .header-style1  .header-menu-list-box{
        transform: scale(1, 1);
        width: 300px;
        left: -300px;
        transition: all .3s linear;
        position: fixed;
        height: 100vh;
        background-color: #000;
        z-index: 9;
    }
    .header-style1  .header-menu-list-box.open{
        left: 0;
    }
    .header-style1  .header-menu-list-box li{
        background-color: transparent;
    }
    .header-style1  .rwd-menu-list-back{
        display: block;
        color: #FFF;
        text-align: right;
        padding: 20px 0;
        border-bottom: 1px solid #EEE;
        width: 100%;
        box-sizing: border-box;
        padding-right: 20px;
    }
    .header-style1  .header-menu li{
        width: 100%;
        padding: 0;
        font-size: 16px;
        padding: 10px 0;
    }
    .header-style1 .header-menu-list{
        padding: 10px 0;
        padding-left: 10px;
        box-sizing: border-box;
        border-bottom: 1px solid #FFF;
    }
}